# Copyright (c) 2023 Huawei Technologies Co., Ltd. All rights reserved.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

%global debug_package %{nil}

Name:           ft_wl_fwk
Version:        1.0.0
Release:        3%{?dist}
Summary:        Implementation of wayland-protocol

License:        Apache-2.0
URL:            https://gitee.com/openeuler/ft_wl_fwk
Source0:        https://gitee.com/openeuler/ft_wl_fwk/repository/archive/ft_wl_fwk-1.0.0.tar.gz
Patch0:         0001-change-deps.patch

BuildRequires:  clang python3 python3-pip python-toml tar cmake ninja-build compiler-rt
BuildRequires:  llvm-devel wayland-devel
BuildRequires:  ft_engine-devel ft_surface-devel ft_mmi-devel ft_flutter-devel ft_multimedia-devel
BuildRequires:  mesa-libEGL mesa-libEGL-devel
BuildRequires:  distributed-build distributed-beget distributedhardware_device_manager
BuildRequires:  commonlibrary_c_utils
BuildRequires:  notification_eventhandler
BuildRequires:  communication_ipc communication_dsoftbus
BuildRequires:  security_device_auth security_huks security_device_security_level security_dataclassification
BuildRequires:  systemabilitymgr_safwk systemabilitymgr_samgr
BuildRequires:  git

Requires:       compiler-rt llvm-devel python3
Requires:       ft_engine ft_surface ft_mmi ft_flutter ft_multimedia mesa-libEGL mesa-libEGL-devel
Requires:       distributed-beget distributedhardware_device_manager
Requires:       commonlibrary_c_utils
Requires:       notification_eventhandler
Requires:       communication_ipc communication_dsoftbus
Requires:       security_device_auth security_huks security_device_security_level security_dataclassification
Requires:       systemabilitymgr_safwk systemabilitymgr_samgr

%description
ft_wl_fwk is implementation of wayland-protocol. The implementation is based on FangTian.

%prep
%autosetup -n %{name}-%{version} -p1

%build
cd %{_builddir}/%{name}-%{version}
./build.sh -b release

%install
mkdir -p %{buildroot}%{_libdir}
%ifarch x86_64
cp -pdf %{_builddir}/%{name}-%{version}/out/Release/x64/common/common/libwayland_adapter.so %{buildroot}%{_libdir}
%endif
%ifarch aarch64
cp -pdf %{_builddir}/%{name}-%{version}/out/Release/aarch64/common/common/libwayland_adapter.so %{buildroot}%{_libdir}
%endif

mkdir -p %{buildroot}/system/profile/ft
cp -pdf %{_builddir}/%{name}-%{version}/etc/*.xml %{buildroot}/system/profile/ft


%clean
rm -rf %{buildroot}

%files
%{_libdir}/*
/system/profile/ft/*

%changelog
* Fri Dec 15 2023 Paul Thomas <paulthomas100199@gmail.com> - 1.0.0-3
- add missing buildrequires

* Fri Dec 15 2023 Jiaqi Zhao <zhaojiaqi18@huawei.com> - 1.0.0-2
- Delete distributed-utils requires and update deps

* Mon Nov 6 2023 abc12133 <jinguoen@huawei.com> - 1.0.0-1
-

